class Kraj:
    """Objekt pro zapouzdření informací o kraji jako územním celku.."""
    def __init__(self, nazev, oznaceni, mesto):
        self.nazev = nazev
        self.oznaceni = oznaceni
        self.mesto = mesto

class Kraje:
    """Objekt obsahující jednotlivé kraje v ČR.."""
    def __init__(self):
        self.kraj = []
        self.kraj.append(Kraj("Hlavní město Praha", "PHA", "Praha"))
        self.kraj.append(Kraj("Středočeský kraj",  "STČ", "Praha"))
        self.kraj.append(Kraj("Jihočeský kraj", "KJČ", "České Budějovice"))
        self.kraj.append(Kraj("Plzeňský kraj",  "KPL", "Plzeň"))
        self.kraj.append(Kraj("Karlovarský kraj", "KVK", "Karlovy Vary"))
        self.kraj.append(Kraj("Ústecký kraj", "KUL", "Ústí nad Labem"))
        self.kraj.append(Kraj("Liberecký kraj",  "KLB", "Liberec"))
        self.kraj.append(Kraj("Královéhradecký kraj", "KHK", "Hradec Králové"))
        self.kraj.append(Kraj("Pardubický kraj", "KPA", "Pardubice"))
        self.kraj.append(Kraj("Olomoucký kraj", "KOL", "Olomouc"))
        self.kraj.append(Kraj("Moravskoslezský kraj", "MSK", "Ostrava"))
        self.kraj.append(Kraj("Jihomoravský kraj", "JMK", "Brno"))
        self.kraj.append(Kraj("Zlínský kraj", "ZLK", "Zlín"))
        self.kraj.append(Kraj("Kraj Vysočina", "VYS", "Jihlava"))

    def getNazev(self, oznaceni):
        """Předání názvu kraje z jeho označení.."""
        return ""

    def getMesto(self, oznaceni):
        """Předání názvu krajského města podle označení kraje.."""
        for item in self.kraj:
            if item.oznaceni == oznaceni:
                return item.mesto
        return "N/A"


def list_kraj():
    """Zobrazení všech krajů.."""
    kraje = Kraje()
    for kraj in kraje.kraj:
        print(kraj.nazev)

def main():
    list_kraj()
